Name: engrid
Version: 1.2.0
Release: alt3
Summary: Mesh generation software with CFD applications in mind
License: GPL v3 or later
Group: Sciences/Physics
Url: http://sourceforge.net/projects/engrid/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: libvtk-devel libcgns-mpi-devel
BuildPreReq: libqt4-devel gcc-c++ libnetgen-devel

%add_python_req_skip BPyAddMesh

%description
ENGRID is a mesh generation software with CFD applications in mind. It
supports automatic prismatic boundary layer grids for Navier-Stokes
simulations and has a Qt based GUI.

%package docs
Summary: Documentation for ENGRID
Group: Documentation
BuildArch: noarch

%description docs
ENGRID is a mesh generation software with CFD applications in mind. It
supports automatic prismatic boundary layer grids for Navier-Stokes
simulations and has a Qt based GUI.

This package contains documentation for ENGRID.

%prep
%setup

%build
pushd src

qmake-qt4 QMAKE_CFLAGS_RELEASE="%optflags" \
	QMAKE_CXXFLAGS_RELEASE="%optflags" engrid.pro.cgns
%make_build

popd

%install
%makeinstall_std -C src INSTALL_ROOT=%buildroot

install -d %buildroot%_man1dir
install -p -m644 debian/%name.1 %buildroot%_man1dir

install -d %buildroot%_niconsdir
install -d %buildroot%_miconsdir
install -d %buildroot%_liconsdir
install -p -m644 src/resources/icons/engrid.xpm %buildroot%_niconsdir
ln -s %_niconsdir/engrid.xpm %buildroot%_miconsdir/
ln -s %_niconsdir/engrid.xpm %buildroot%_liconsdir/

install -d %buildroot%_desktopdir
install -p -m644 debian/%name.desktop %buildroot%_desktopdir
install -d %buildroot%_datadir/blender/scripts/blender
install -p -m644 src/blender_scripts/* \
	%buildroot%_datadir/blender/scripts/blender

%files
%doc *.txt
%_bindir/*
%_man1dir/*
%_niconsdir/*
%_miconsdir/*
%_liconsdir/*
%_desktopdir/*
%_datadir/blender/scripts/blender/*

%files docs
%doc manual tutorials

%changelog
* Fri Apr 22 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.0-alt3
- Rebuilt with VTK 5.6.1

* Wed Mar 16 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.0-alt2
- Rebuilt for debuginfo

* Fri Dec 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.0-alt1
- Initial build for Sisyphus

